/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view.dashboard;

import com.arrebol.taxiservicios.model.enums.GenericEnumType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class PersonSearchByActiveAndBlackListView implements Serializable {

    private static final long serialVersionUID = 2502941785590793218L;

    private String id;
    private String name;
    private Boolean active;
    private GenericEnumType blackList;
    private String blackListDescription;
    private Date lastUpdatedOn;

    public PersonSearchByActiveAndBlackListView() {
    }

    /**
     * Complete constructor.
     *
     * @param id
     * @param name
     * @param active
     * @param blackList
     * @param lastUpdatedOn
     */
    public PersonSearchByActiveAndBlackListView(String id, String name, Boolean active, GenericEnumType blackList, Date lastUpdatedOn) {
        this.id = id;
        this.name = name;
        this.active = active;
        this.blackList = blackList;
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public GenericEnumType getBlackList() {
        return blackList;
    }

    public void setBlackList(GenericEnumType blackList) {
        this.blackList = blackList;
    }

    public String getBlackListDescription() {
        return blackListDescription;
    }

    public void setBlackListDescription(String blackListDescription) {
        this.blackListDescription = blackListDescription;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    @Override
    public String toString() {
        return "PersonSearchByActiveAndBlackListView{" + "name=" + name + '}';
    }

}
